RedCrawler API
Search V1

Search Communities V1

Search for subreddits/communities by keyword. Returns matching communities with subscriber count, description, and type.

GET /api/v1/discover/communities

Search for subreddits/communities by keyword. Returns matching communities with subscriber count, description, and type.

Query parameters

NameTypeRequiredDescription
querystringYesSearch keyword.
limitnumberNoNumber of results (1-250). Default: 25.

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X GET "https://red-crawler1.p.rapidapi.com/api/v1/discover/communities?query=programming&limit=25" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com"

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v1/discover/communities?query=programming&limit=25", {
  method: "GET",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    }
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v1/discover/communities?query=programming&limit=25"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
}
resp = requests.get(url, headers=headers)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": {
    "subreddits": [
      {
        "user_flair_background_color": null,
        "submit_text_html": null,
        "restrict_posting": true,
        "user_is_banned": null,
        "wiki_enabled": true,
        "user_is_muted": null,
        "user_can_flair_in_sr": null,
        "display_name": "programming",
        "header_img": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
        "title": "programming",
        "original_content_tag_enabled": false,
        "allow_galleries": false,
        "icon_size": null,
        "primary_color": "#002b36",
        "icon_img": "",
        "display_name_prefixed": "r/programming",
        "public_traffic": false,
        "subscribers": 6871277,
        "user_flair_richtext": [],
        "name": "t5_examples",
        "quarantine": false,
        "hide_ads": false,
        "prediction_leaderboard_entry_type": 2,
        "emojis_enabled": false,
        "advertiser_category": "Technology",
        "public_description": "Computer Programming",
        "comment_score_hide_mins": 0,
        "allow_predictions": false,
        "user_has_favorited": null,
        "user_flair_template_id": null,
        "community_icon": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
        "banner_background_image": "",
        "header_title": "",
        "community_reviewed": true,
        "submit_text": "",
        "description_html": "<div>Example HTML content.</div>",
        "spoilers_enabled": true,
        "allow_talks": false,
        "header_size": [
          120,
          40
        ],
        "user_flair_position": "right",
        "all_original_content": false,
        "has_menu_widget": false,
        "is_enrolled_in_new_modmail": null,
        "key_color": "",
        "can_assign_user_flair": false,
        "created": 1141150769.0,
        "show_media_preview": true,
        "submission_type": "link",
        "user_is_subscriber": null,
        "allowed_media_in_comments": [
          "video"
        ],
        "allow_videogifs": false,
        "should_archive_posts": false,
        "user_flair_type": "text",
        "allow_polls": false,
        "collapse_deleted_comments": false,
        "emojis_custom_size": null,
        "public_description_html": "<!-- SC_OFF --><div class=\"md\"><p>Computer Programming</p>\n</div><!-- SC_ON -->",
        "allow_videos": false,
        "is_crosspostable_subreddit": false,
        "suggested_comment_sort": null,
        "should_show_media_in_comments_setting": true,
        "can_assign_link_flair": false,
        "allow_prediction_contributors": false,
        "submit_text_label": "",
        "link_flair_position": "right",
        "user_sr_flair_enabled": null,
        "user_flair_enabled_in_sr": false,
        "allow_discovery": true,
        "accept_followers": true,
        "user_sr_theme_enabled": true,
        "link_flair_enabled": true,
        "subreddit_type": "public",
        "notification_level": null,
        "banner_img": "",
        "user_flair_text": null,
        "banner_background_color": "#002b36",
        "show_media": false,
        "id": "2fwo",
        "user_is_contributor": null,
        "over18": false,
        "description": "/r/programming is a reddit for discussion and news about [computer programming](http://en.wikipedia.org/wiki/Computer_programming)\n\n****\n**Guidelines**\n\n* Please keep submissions on topic and of high quality.\n* That means no image posts, no memes, no politics\n* Just because it has a computer in it doesn't make it programming. If there is no code in your link, it probably doesn't belong here.\n* Dir\u2026",
        "submit_link_label": "",
        "user_flair_text_color": null,
        "restrict_commenting": false,
        "user_flair_css_class": null,
        "allow_images": false,
        "lang": "en",
        "url": "/r/programming/",
        "created_utc": 1141150769.0,
        "banner_size": null,
        "mobile_banner_image": "",
        "user_is_moderator": null,
        "allow_predictions_tournament": false
      },
      {
        "user_flair_background_color": null,
        "submit_text_html": "<!-- SC_OFF --><div class=\"md\"><h1>IF YOUR POST IS ABOUT C#, C++, OR ANY OTHER NON-C LANGUAGE, IT WILL BE REMOVED</h1>\n\n<p><strong>Posts with embedded code:</strong> For in-line code surround it with backticks (&#39;`&#39;)\nlike this:</p>\n\n<blockquote>\n<p>This is normal text and <code>this is monospaced code</code>.</p>\n</blockquote>\n\n<p>For blocks of code, surround the code block with three backt\u2026",
        "restrict_posting": true,
        "user_is_banned": null,
        "wiki_enabled": true,
        "user_is_muted": null,
        "user_can_flair_in_sr": null,
        "display_name": "C_Programming",
        "header_img": null,
        "title": "C",
        "original_content_tag_enabled": false,
        "allow_galleries": false,
        "icon_size": null,
        "primary_color": "",
        "icon_img": "",
        "display_name_prefixed": "r/C_Programming",
        "public_traffic": false,
        "subscribers": 226091,
        "user_flair_richtext": [],
        "videostream_links_count": 0,
        "name": "t5_examples",
        "quarantine": false,
        "hide_ads": false,
        "prediction_leaderboard_entry_type": 2,
        "emojis_enabled": false,
        "advertiser_category": "",
        "public_description": "The subreddit for the C programming language",
        "comment_score_hide_mins": 0,
        "allow_predictions": false,
        "user_has_favorited": null,
        "user_flair_template_id": null,
        "community_icon": "",
        "banner_background_image": "",
        "header_title": "",
        "community_reviewed": true,
        "submit_text": "# IF YOUR POST IS ABOUT C#, C++, OR ANY OTHER NON-C LANGUAGE, IT WILL BE REMOVED\n\n**Posts with embedded code:** For in-line code surround it with backticks ('`')\nlike this:\n\n> This is normal text and `this is monospaced code`.\n\nFor blocks of code, surround the code block with three backticks on a line of their own; or indent each and every line with four spaces. For more details, please have a loo\u2026",
        "description_html": "<!-- SC_OFF --><div class=\"md\"><h2>Rules</h2>\n\n<ol>\n<li>Format your code (monospace font, correctly indented)</li>\n<li>Only C is on topic (not C++, C#)</li>\n<li>Do not post links as self posts</li>\n<li>No pictures of code</li>\n<li>Posts and comments must be civil</li>\n<li>Don&#39;t post or link to copyright violations</li>\n<li>Support learners and learning</li>\n<li>Avoid low-value/low-effort comme\u2026",
        "spoilers_enabled": true,
        "allow_talks": false,
        "header_size": null,
        "user_flair_position": "right",
        "all_original_content": false,
        "has_menu_widget": false,
        "is_enrolled_in_new_modmail": null,
        "key_color": "",
        "can_assign_user_flair": false,
        "created": 1206638740.0,
        "show_media_preview": true,
        "submission_type": "any",
        "user_is_subscriber": null,
        "allowed_media_in_comments": [
          "video"
        ],
        "allow_videogifs": false,
        "should_archive_posts": false,
        "user_flair_type": "text",
        "allow_polls": false,
        "collapse_deleted_comments": true,
        "emojis_custom_size": null,
        "public_description_html": "<!-- SC_OFF --><div class=\"md\"><p>The subreddit for the C programming language</p>\n</div><!-- SC_ON -->",
        "allow_videos": true,
        "is_crosspostable_subreddit": false,
        "suggested_comment_sort": null,
        "should_show_media_in_comments_setting": true,
        "can_assign_link_flair": true,
        "allow_prediction_contributors": false,
        "submit_text_label": "",
        "link_flair_position": "left",
        "user_sr_flair_enabled": null,
        "user_flair_enabled_in_sr": false,
        "allow_discovery": true,
        "accept_followers": true,
        "user_sr_theme_enabled": true,
        "link_flair_enabled": true,
        "subreddit_type": "public",
        "notification_level": null,
        "banner_img": "",
        "user_flair_text": null,
        "banner_background_color": "",
        "show_media": true,
        "id": "2qhoe",
        "user_is_contributor": null,
        "over18": false,
        "description": "## Rules\n\n1. Format your code (monospace font, correctly indented)\n2. Only C is on topic (not C++, C#)\n3. Do not post links as self posts\n4. No pictures of code\n5. Posts and comments must be civil\n6. Don't post or link to copyright violations\n7. Support learners and learning\n8. Avoid low-value/low-effort comments and posts (And use AI wisely)\n\n## Filters\nClick the following link to filter out the \u2026",
        "submit_link_label": "",
        "user_flair_text_color": null,
        "restrict_commenting": false,
        "user_flair_css_class": null,
        "allow_images": false,
        "lang": "en",
        "url": "/r/C_Programming/",
        "created_utc": 1206638740.0,
        "banner_size": null,
        "mobile_banner_image": "",
        "user_is_moderator": null,
        "allow_predictions_tournament": false
      },
      "\u2026 (23 more items)"
    ],
    "cursor": "t5_examples",
    "count": 25
  },
  "error": null,
  "timestamp": "2026-04-29T08:58:21.941548+00:00"
}

On this page